PDA

View Full Version : Need to ./configure && make




Candunc
Jul 25, 2012, 12:09 PM
Hello, I need help

I need to install SDL and Lua onto my mac to compile programs. Whenever I use the ./compile && make command to build it to install, it fails with the following error:

Duncans-MacBook-Pro:SDL-1.2.14 duncan******$ ./configure && make
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/Users/duncan*******/Downloads/SDL-1.2.14':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

Running 10.8.0, xCode is installed. Any help?



chown33
Jul 25, 2012, 12:18 PM
Command-line tools are an optional Xcode install.

See this:
https://developer.apple.com/xcode/
Xcode includes a new "Downloads" preference pane to install optional components such as command line tools, and previous iOS Simulators.


For more, google search terms: xcode command line tools